# IBinding

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Defines a component's binding instance.

{% tabs %}
{% tab title="C#" %}

```csharp
public interface IBinding
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Interface IBinding
```

{% endtab %}
{% endtabs %}

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) BindableComponent

[IBindableComponent](/api/wisej.web/data-binding/wisej.web.ibindablecomponent.md): Returns the [IBindableComponent](/api/wisej.web/data-binding/wisej.web.ibindablecomponent.md).

### ![](/files/hsR4ok3152WyAf8J2C1u) BindingMemberInfo

[BindingMemberInfo](/api/wisej.web/data-binding/wisej.web.bindingmemberinfo.md): Return the binding information based on the dataMember parameter in the [#ctor](https://docs.wisej.com/api/wisej.web/data-binding/pages/mgtxNrlMnExaU2TzhkkI##ctor) constructor.

### ![](/files/hsR4ok3152WyAf8J2C1u) ControlUpdateMode

[ControlUpdateMode](/api/wisej.web/data-binding/wisej.web.controlupdatemode.md): Returns or sets when changes to the data source are propagated to the bound control property.

### ![](/files/hsR4ok3152WyAf8J2C1u) DataSource

[Object](https://docs.microsoft.com/dotnet/api/system.object): Returns the data source for this binding.

### ![](/files/hsR4ok3152WyAf8J2C1u) DataSourceNullValue

[Object](https://docs.microsoft.com/dotnet/api/system.object): Returns or sets the value to be stored in the data source if the control value is null or empty.

### ![](/files/hsR4ok3152WyAf8J2C1u) DataSourceUpdateMode

[DataSourceUpdateMode](/api/wisej.web/data-binding/wisej.web.datasourceupdatemode.md): Returns or sets a value that indicates when changes to the bound control property are propagated to the data source.

### ![](/files/hsR4ok3152WyAf8J2C1u) FormatInfo

[IFormatProvider](https://docs.microsoft.com/dotnet/api/system.iformatprovider): Returns or sets the [IFormatProvider](https://docs.microsoft.com/dotnet/api/system.iformatprovider) that provides custom formatting behavior.

### ![](/files/hsR4ok3152WyAf8J2C1u) FormatString

[String](https://docs.microsoft.com/dotnet/api/system.string): Returns or sets the format specifier characters that indicate how a value is to be displayed.

### ![](/files/hsR4ok3152WyAf8J2C1u) FormattingEnabled

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Returns or sets a value indicating whether type conversion and formatting is applied to the control property data.

### ![](/files/hsR4ok3152WyAf8J2C1u) NullValue

[Object](https://docs.microsoft.com/dotnet/api/system.object): Returns or sets the [Object](https://docs.microsoft.com/dotnet/api/system.object) to be set as the control property when the data source contains a [DBNull](https://docs.microsoft.com/dotnet/api/system.dbnull) value.

### ![](/files/hsR4ok3152WyAf8J2C1u) PropertyName

[String](https://docs.microsoft.com/dotnet/api/system.string): Returns the name of the control's data-bound property.

## Methods

### ![](/files/hsR4ok3152WyAf8J2C1u) ReadValue()

Sets the target property to the value read from the data source.

### ![](/files/hsR4ok3152WyAf8J2C1u) WriteValue()

Reads the current value from the target property and writes it to the data source.

## Implemented By

| Name                                                        | Description                                                                                                                                                                          |
| ----------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| [Binding](/api/wisej.web/data-binding/wisej.web.binding.md) | Represents the simple binding between the property value of an object and the property value of a [IBindableComponent](/api/wisej.web/data-binding/wisej.web.ibindablecomponent.md). |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/data-binding/wisej.web.ibinding.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
